package com.engine.newwaymask.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author liang.cheng
 * @Date 2025/4/21 10:40
 * @Description: 编制执行情况 uf_bzjh
 * @Version 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class StaffPlan {

    private Integer id;

    private Integer jobId;

    private Integer staffBelong;

    private Integer jobType;

    private Integer staffPlanNums;

    private Integer frozenNums;

    private Integer onJobNums;

    private Integer restNums;

    @Override
    public String toString() {
        return "StaffPlan{" +
                "id=" + id +
                ", 岗位id=" + jobId +
                ", 编制归属=" + staffBelong +
                ", 任职类型=" + jobType +
                ", 总编制计划数=" + staffPlanNums +
                ", 冻结编制数=" + frozenNums +
                ", 在编人数=" + onJobNums +
                ", 剩余人数=" + restNums +
                '}';
    }
}
